Bug 73827 - (screensaver) System lockup/crash when using random or OpenGL screensaver
System lockup/crash when using random or OpenGL screensaver
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: 36682 38350 49569 49586 (view as bug list)
Depends On: 33368 36682 56485 57527 62287 65300 65491 68615 70638 75951
  Show dependency treegraph
Reported: 2002-09-11 13:56 EDT by Mike A. Harris
Modified: 2009-12-21 00:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-24 13:26:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2002-09-11 13:56:07 EDT
When using OpenGL screensavers, or random screensaver mode which could
end up using an OpenGL screensaver, it is possible that the entire system
could hang or become unstable.  This occurs on all releases of Red Hat
Linux in which DRI is part of the distribution.

The more common symptoms of this are people using the "starwars" screensaver
and reporting lockups.  Other screensavers are also reported a lot to
have these lockup problems.

Recently, Tim Smith <tsmith@redhat.com> found a bug in the way DRM
locking was done, and produced a patch to fix it.  This patch is now
included in the Red Hat rawhide kernel.

This long standing problem which was previously undeterminable should now
be fixed finally.  I've created this bug report as a brief summary of
the problem, and the resolution which can be used to close duplicate
reports of this problem against, including past and future reported

If anyone has reported a bug where the X server or whole system crashes
when GL screensavers are used, please test the Red Hat Linux Null beta
plus all newer rawhide packages, or wait until our final next distro

If your bug gets marked as a duplicate of this one, and after testing
the latest release as above, please reopen your bug report and provide
updated status info, etc. so we can investigate it again.
Comment 1 Mike A. Harris 2002-09-11 14:32:36 EDT
*** Bug 49586 has been marked as a duplicate of this bug. ***
Comment 2 Mike A. Harris 2002-09-11 14:33:18 EDT
*** Bug 49569 has been marked as a duplicate of this bug. ***
Comment 3 Mike A. Harris 2002-09-11 17:38:41 EDT
*** Bug 38350 has been marked as a duplicate of this bug. ***
Comment 4 Mike A. Harris 2002-09-11 17:51:25 EDT
*** Bug 36682 has been marked as a duplicate of this bug. ***
Comment 5 D.J. Dwyer 2003-07-29 10:00:04 EDT
I have been exeriencing this problem on RedHat9 (only with starwars
screensaver).  Keyboard, display locked.  ssh works. reboot only recovery
mechanism known.

My impression from this and related bugs is that I should not be experiencing
this problem in this version of RedHat.

I have a dual display with Matrox hardware.
Comment 6 Mike A. Harris 2004-09-24 13:26:52 EDT
We believe these issues to be resolved in our currently shipping
OS releases.  Please upgrade to Fedora Core 2 or later, and if these
issues turn out to still be reproduceable, please file a bug report
in the X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you would also like
Red Hat to track the new issue, you can file a new bug report in
Red Hat bugzilla that simply has a pointer to the X.Org bug report,
and we will gladly track the issue in the centralized X.Org bug
tracker, and will review any bug fixes that become available for
consideration in future updates.
Comment 7 Alexei Podtelezhnikov 2009-12-18 00:13:31 EST
The issue is back. This is Fedora 12.
Comment 8 Mike A. Harris 2009-12-21 00:35:09 EST
A screensaver triggering a system crash is most likely either a bug in the kernel side video driver subsystem (DRM, or Nvidia's proprietary stuff, etc.), or in the userland X video driver or Mesa driver which usually end up being kernel side bugs anyway, and are usually hardware specific, driver specific, and
OS distribution and kernel specific also.

This generic "my system hangs with screensavers" bug is ancient and actually not very useful overall.

If someone is experiencing a "screensavers crash my system in the middle of the night" type bug, the best thing to do is to open a fresh bug report up in bugzilla against the correct RHEL or Fedora release, and attach their X server log file and config file (if using one), along with the details necessary to attempt to reproduce the problem.  Try to narrow down the exact problematic screensaver that triggers the problem by disabling "random" mode, and trying each OpenGL based screensaver one at a time.  If it is a problem that only happens at a random time during the night, try one screensaver per night until one is found to reliably crash the system.  That can then be used as a reproducable test case to try and diagnose the crash.

If the person is using proprietary or other 3rd party video drivers, they should report the problem they're having directly to their vendor (ATI/Nvidia) instead if possible, or report it in the X.Org bugzilla which I believe both Nvidia and ATI peruse.

In the past, the quick fix that was done to work around these types of issues, was to disable the screensavers that triggered the problems, but that is an ugly bandaid that avoids the real problem, which is almost always buggy video drivers.  Now that there are tonnes of people hacking on X compared to the XFree86 days, these type of test cases could go a long way to fixing long standing bugs in the video drivers, so I don't think any screensavers should be disabled as a software update "fix" as that sidesteps the issue.  ;o)

I'm out of the loop with X these days, but I hope this advice may lead to latent driver bugs getting fixed, whether OSS or proprietary drivers are being used.

Hope this helps.

Note You need to log in before you can comment on or make changes to this bug.